<?php
/**
 * Plugin Name: WooCommerce Pay3 Gateway
 * Plugin URI: https://pay3.ir/
 * Description: Pay3 payment gateway plugin for WooCommerce.
 * Version: 1.0.0
 * Author: Zoip
 * Author URI: https://pay3.ir/
 * License: GPL2
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

// Include required files
require_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-gateway-pay3.php';

// Add the gateway to WooCommerce
function add_pay3_gateway( $methods ) {
    $methods[] = 'WC_Gateway_Pay3'; 
    return $methods;
}
add_filter( 'woocommerce_payment_gateways', 'add_pay3_gateway' );

// Register Pay3 payment gateway class
function wc_gateway_pay3_init() {
    if ( class_exists( 'WC_Payment_Gateway' ) ) {
        require_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-gateway-pay3.php';
    }
}
add_action( 'plugins_loaded', 'wc_gateway_pay3_init' );

// Optionally, enqueue scripts and styles
function wc_pay3_enqueue_scripts() {
    wp_enqueue_script( 'pay3-js', 'https://cdn.pay3.com/script.js', array(), null, true );
}
add_action( 'wp_enqueue_scripts', 'wc_pay3_enqueue_scripts' );
